## org.eclipse.emf.ocl.expressions
Interface Variable

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, TypedASTNode, TypedElement, Visitable

All Known Implementing Classes:
  VariableImpl

Deprecated. Use the `Variable` interface, instead.

    @Deprecated
    public interface Variable

extends TypedElement, Visitable, TypedASTNode

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`OCLExpression` `getInitExpression()` Deprecated.
`EParameter` `getRepresentedParameter()` Deprecated. Returns the value of the 'Represented Parameter' reference
`void` `setInitExpression(OCLExpression value)` Deprecated. Sets the value of the '`Init Expression`' containment reference
`void` `setRepresentedParameter(EParameter value)` Deprecated. Sets the value of the '`Represented Parameter`' reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getInitExpression

    OCLExpression getInitExpression()

  Deprecated.

### setInitExpression

    void setInitExpression(OCLExpression value)

  Deprecated.
  Sets the value of the '`Init Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Init Expression' containment reference.
  See Also:
    `getInitExpression()`

### getRepresentedParameter

    EParameter getRepresentedParameter()

  Deprecated.
  Returns the value of the 'Represented Parameter' reference.

  If the meaning of the 'Represented Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Represented Parameter' reference.
  See Also:
    `setRepresentedParameter(EParameter)`, `ExpressionsPackage.getVariable_RepresentedParameter()`

### setRepresentedParameter

    void setRepresentedParameter(EParameter value)

  Deprecated.
  Sets the value of the '`Represented Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Represented Parameter' reference.
  See Also:
    `getRepresentedParameter()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.